vBulletin Mods

The Official vBulletin Modifications Site
https://www.vbulletin.org/forum/showthread.php?t=323056

Need Help about hacking
by tanzeelniazi
19 Jul 2016 07:08

Hello all i have a problem today i got so many email about database errors
i think someone try to hack but fail not complete sure
i got this emails


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.



Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

and some other types of database errors
Some one try to hack me ?
Someone got my database ?
any help

[email protected] 19 Jul 2016 09:13

You had better update and patch ASAP: http://www.vbulletin.com/forum/forum...or-vbulletin-4

z3r0 19 Jul 2016 10:59

Check for a new plugin added named "vbulletin" in the hook location "init_startup" containing a load of base64 encoded stuff, if it's there you have been hacked and you should disable/remove it and have a check for any files uploaded to your forum (left menu -> maintenance -> diagnostics -> suspect file versions)

tanzeelniazi 19 Jul 2016 12:58

how i check in "vbulletin" in the hook location "init_startup" containing a load of base64 encoded stuff ???

z3r0 19 Jul 2016 13:43

From the admincp go to plugin manager in the left column then check for a product titled "vbulletin" that has the hook location "init_startup", click edit and if in contains the word base64 and a load of random text then you need to disable it.

RichieBoy67 19 Jul 2016 14:04

If you need help let me know.. Definitely follow the above advice asap. Also disable forumrunner until you upodate.

Dave 19 Jul 2016 14:14

Delete the forumrunner directory or rename it to something random asap in case you haven't patched it yet.

Paul M 19 Jul 2016 17:53

Quote:

Originally Posted by RichieBoy67 (Post 2573440)
If you need help let me know.. Definitely follow the above advice asap. Also disable forumrunner until you upodate.

Disabling Forumrunner will have no effect on the issue, you must either patch it, or remove it.

TheLastSuperman 19 Jul 2016 23:19

Quote:

Originally Posted by z3r0 (Post 2573431)
Check for a new plugin added named "vbulletin" in the hook location "init_startup" containing a load of base64 encoded stuff, if it's there you have been hacked and you should disable/remove it and have a check for any files uploaded to your forum (left menu -> maintenance -> diagnostics -> suspect file versions)

Actually, it's best to check the datastore table, (Edit: well truth be told check regular plugins via admincp, the plugin table as well PLUS the datastore table, check them all!) then look in the pluginlist (there are two, pluginlist and pluginlistadmin so be sure to check both, typically malicious cade is only in pluginlist though) because code added to the bottom of this will not show in one single/particular "plugin" via the admincp because this contains all the plugins in one list not a single view per say ;). You can also scroll the entire contents of pluginlist to see a complete list of plugins installed on your site, be careful if editing out malicious code and once done go to your admincp then into plugin manager and save the active status (to reset datastore/plugins) otherwise changes may not show immediately and/or could cause display issues.

What some have been doing is injecting their base64 code at the very bottom (scroll to find, they add tons of white space so you won't notice right off the bat unless you scroll down, i.e. if a scrollbar exist when viewing via phpmyadmin, scroll scroll scroll :cool:) and more so we see this with myfilestore than any other type of exploit (also if you're dealing with that in particular, myfilestore redirect then also check the file datastore_cache.php which is located in /includes/datastore/ for any mal code).

RichieBoy67 19 Jul 2016 23:23

There is a good chance that debase64 code was already added to all of the files as well at this point.

--------------- Added 19 Jul 2016 at 23:24 ---------------

Quote:

Originally Posted by Paul M (Post 2573451)
Disabling Forumrunner will have no effect on the issue, you must either patch it, or remove it.

Yes, correct. Thank you Paul for the correction. :up: That is why you get the big bucks! :D

tanzeelniazi 20 Jul 2016 08:21

Quote:

Originally Posted by z3r0 (Post 2573439)
From the admincp go to plugin manager in the left column then check for a product titled "vbulletin" that has the hook location "init_startup", click edit and if in contains the word base64 and a load of random text then you need to disable it.

In Product Vbulletin i have no init_startup
https://www.vbulletin.org/forum/external/2016/07/7.png
@RichiBoy67'
Already disable Forumrunner can i delete all forumrunner files ?
https://www.vbulletin.org/forum/external/2016/07/8.png

--------------- Added 20 Jul 2016 at 08:34 ---------------

Superman, i really dont know what you say because you write so many words and my english is not good and i am little confuse please give me the perfect idea :(
Can i delete forumrunner files ? or install the patch because i dont want to upgrade my VB version at this time i have 4.2.0 and many addons working fine, if i update my VB after some addons are not working so need a help for my confusion

socialteenz 20 Jul 2016 10:14

@tanzeelniazi

Yes, you can go ahead & delete forumrunner directory. You won't break any add on by upgrading to 4.2.0 to the latest. Make sure your on php5.4.0 or greater.

Always have a backup before upgrading.

tanzeelniazi 20 Jul 2016 11:35

I see some addons are not update for 4.2.2 etc so i can not upgrade my VB.
If i remove forumrunner directory after my problem will be solved ?

--------------- Added 20 Jul 2016 at 12:07 ---------------

Now delete forumrunner dir
Now i safe ?

Paul M 20 Jul 2016 13:54

Quote:

Originally Posted by tanzeelniazi (Post 2573481)
Now delete forumrunner dir
Now i safe ?

Safe ? From that specific FR issue, yes.
However, since you are running vB 4.2.0, you are not safe, it has other security holes, patched in later versions.

RichieBoy67 20 Jul 2016 15:02

You need to upgrade and if they added a plug in or injected any debase64 code into your files you still have an issue..


All times are GMT. The time now is 13:33.

Powered by vBulletin® Version 3.8.14
Copyright © 2020, MH Sub I, LLC dba vBulletin. All Rights Reserved. vBulletin® is a registered trademark of MH Sub I, LLC
Copyright ©2001 - , vbulletin.org. All rights reserved.